<?php
namespace Pinpoint\CronRunner\Ui\Component\Listing\Column\Pinpointcronrunnercrons;

/**
 * Class PageActions
 * @package Pinpoint\CronRunner\Ui\Component\Listing\Column\Pinpointcronrunnercrons
 */
class PageActions extends \Magento\Ui\Component\Listing\Columns\Column
{
    /**
     * @param array $dataSource
     * @return array
     */
    public function prepareDataSource(array $dataSource)
    {
        if (isset($dataSource["data"]["items"])) {
            foreach ($dataSource["data"]["items"] as &$item) {
                $name = $this->getData("name");
                $id = "X";

                if (isset($item["job_code"])) {
                    $id = $item["job_code"];
                }

                $item[$name]["view"] = [
                    "href"=>$this->getContext()->getUrl(
                        "cronrunner/crons/runJob",["jobcode"=>$id]),
                    "label"=>__("Run Now")
                ];
            }
        }

        return $dataSource;
    }
}